// src/uart/usart1.rs
use defmt::info;
use embassy_time::Duration;

use crate::hw_uart_pc::safety::preflight_and_suggest_yield_period;

pub fn setup_and_spawn(baudrate: u32,) -> Duration {
    let yield_period: Duration = preflight_and_suggest_yield_period(baudrate);
    info!("HW USART1 safe");

    yield_period
}
